View Issue Details

IDProjectCategoryView StatusLast Update
0000199CaseTalk ModelerModel Expressionspublic2012-12-10 10:12
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.9 
Target Version7.0.8Fixed in Version7.0.8 
Summary0000199: Subtype business rule missing
DescriptionThe verbalization for subtype only considers the unique constraint. It should have a separate verbalisation.

1) "Truck is a subtype of Vehicle" instead of "Truck is identified by Vehicle".

In addition to the subtype verbalization it could state the identification of the supertype as well. Adding the following line:

2) "Truck is uniquely identified by License Plate".
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2012-12-10 10:12

administrator   ~0000129

supertypes and subtypes get verbalized

Issue History

Date Modified Username Field Change
2012-12-09 17:29 BCP Software New Issue
2012-12-09 17:29 BCP Software Status new => assigned
2012-12-09 17:29 BCP Software Assigned To => BCP Software
2012-12-10 10:12 BCP Software Note Added: 0000129
2012-12-10 10:12 BCP Software Status assigned => resolved
2012-12-10 10:12 BCP Software Fixed in Version => 7.0.8
2012-12-10 10:12 BCP Software Resolution open => fixed
2016-01-20 13:01 BCP Software Category Expressions => Model Expressions